unit uPluginTiendaWeb;

interface

uses
  uModuleController, uInterfaces, uHostManager, Menus, Classes, ActnList,
  ImgList, Controls, PngImageList;

type
  IMCTiendaWeb = interface(IInterface)
    ['{04676BE7-F0C9-4EA6-9909-1E5517C3604E}']
  end;

  TPluginTiendaWeb = class(TModuleController, IMCTiendaWeb)
    actRecogerPedidos: TAction;
    ExtraImages: TPngImageList;
    LargeImages: TPngImageList;
    MainMenu: TMainMenu;
    ModuleActionList: TActionList;
    SmallImages: TPngImageList;
    actActualizarTienda: TAction;
    actConfigurarTienda: TAction;
    Configurartienda1: TMenuItem;
    Actualizartienda1: TMenuItem;
    Recogerpedidos1: TMenuItem;
    iendaweb1: TMenuItem;
    N3: TMenuItem;
    procedure actRecogerPedidosExecute(Sender: TObject);
    procedure actConfigurarTiendaExecute(Sender: TObject);
    procedure actActualizarTiendaExecute(Sender: TObject);
    
  public
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
  end;

implementation

{$R *.dfm}

uses
  Forms, Dialogs, SysUtils, uDataModuleUsuarios,
  uTiendaWebController, uBizTiendaWeb, uTiendaWebViewRegister;

function GetModule : TModuleController;
begin
  Result := TPluginTiendaWeb.Create(NIL);
end;

exports
  GetModule name GET_MODULE_FUNC;

procedure TPluginTiendaWeb.actActualizarTiendaExecute(Sender: TObject);
var
  ATiendaWebController : ITiendaWebController;
  ATiendaWeb : IBizTiendaWeb;
begin
  ATiendaWebController := TTiendaWebController.Create;
  ATiendaWeb := ATiendaWebController.Buscar(dmUsuarios.IDEmpresaActual);
  ATiendaWebController.ActualizarTienda(ATiendaWeb);
end;

procedure TPluginTiendaWeb.actConfigurarTiendaExecute(Sender: TObject);
var
  ATiendaWebController : ITiendaWebController;
  ATiendaWeb : IBizTiendaWeb;
begin
  ATiendaWebController := TTiendaWebController.Create;
  ATiendaWeb := ATiendaWebController.Buscar(dmUsuarios.IDEmpresaActual);
  ATiendaWebController.Ver(ATiendaWeb);
end;

procedure TPluginTiendaWeb.actRecogerPedidosExecute(Sender: TObject);
var
  ATiendaWebController : ITiendaWebController;
  ATiendaWeb : IBizTiendaWeb;
begin
  ATiendaWebController := TTiendaWebController.Create;
  ATiendaWeb := ATiendaWebController.Buscar(dmUsuarios.IDEmpresaActual);
  ATiendaWebController.DescargarPedidos(ATiendaWeb);
end;

constructor TPluginTiendaWeb.Create(AOwner: TComponent);
begin
  inherited;
  uTiendaWebViewRegister.RegisterViews;
end;

destructor TPluginTiendaWeb.Destroy;
begin
  uTiendaWebViewRegister.UnregisterViews;
  inherited;
end;

initialization
  RegisterModuleClass(TPluginTiendaWeb);

finalization
  UnRegisterModuleClass(TPluginTiendaWeb);

end.
